<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <artifactId>jz-crm-all</artifactId>
    <packaging>jar</packaging>

    <parent>
        <groupId>org.linlinjava</groupId>
        <artifactId>jz-crm</artifactId>
        <version>0.1.0</version>
    </parent>

    <dependencies>

        <dependency>
            <groupId>org.linlinjava</groupId>
            <artifactId>jz-crm-core</artifactId>
        </dependency>

        <dependency>
            <groupId>org.linlinjava</groupId>
            <artifactId>jz-crm-db</artifactId>
        </dependency>


        <dependency>
            <groupId>org.linlinjava</groupId>
            <artifactId>jz-crm-admin-api</artifactId>
        </dependency>


    </dependencies>

    <build>
    <finalName>jzcrmbaomuservice</finalName>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
            </plugin>

             <plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-resources-plugin</artifactId>
				<executions>
					<execution>
						<id>default-resources</id>
						<phase>validate</phase>
						<goals>
							<goal>copy-resources</goal>
						</goals>
						<configuration>
							<outputDirectory>target/classes</outputDirectory>
							<useDefaultDelimiters>false</useDefaultDelimiters>
							<delimiters>
								<delimiter>#</delimiter>
							</delimiters>
							<resources>
								<resource>
									<directory>src/main/resources/</directory>
									<filtering>true</filtering>
								</resource>
								<resource>
									<directory>src/main/resources.${spring.profiles.active}</directory>
									<filtering>false</filtering>
								</resource>
							</resources>
							 
						</configuration>
					</execution>
				</executions>
			</plugin>
        </plugins>
    </build>
    
     <profiles>
		<!--开发环境 -->
		<profile>
			<id>dev</id>
			<properties>
				<spring.profiles.active>dev</spring.profiles.active>
			</properties>
		</profile>
		<!--生产环境 -->
		<profile>
			<id>pro</id>
			<properties>
				<spring.profiles.active>pro</spring.profiles.active>
			</properties>
		</profile>
		<profile>
			<id>uat</id>
			<properties>
				<spring.profiles.active>uat</spring.profiles.active>
			</properties>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
		</profile>
	</profiles>

</project>